/* CalDAVBackend.c generated by valac 0.40.4, the Vala compiler
 * generated from CalDAVBackend.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013 Maya Developers (https://launchpad.net/maya)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA.
 *
 * Authored by: Corentin Noël <tintou@mailoo.org>
 */


#include <glib.h>
#include <glib-object.h>
#include <gmodule.h>
#include <maya-calendar.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <libedataserver/libedataserver.h>
#include <gee.h>
#include <gtk/gtk.h>
#include <libsoup/soup.h>


#define MAYA_TYPE_CAL_DAV_BACKEND (maya_cal_dav_backend_get_type ())
#define MAYA_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackend))
#define MAYA_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))
#define MAYA_IS_CAL_DAV_BACKEND(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_IS_CAL_DAV_BACKEND_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CAL_DAV_BACKEND))
#define MAYA_CAL_DAV_BACKEND_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CAL_DAV_BACKEND, MayaCalDavBackendClass))

typedef struct _MayaCalDavBackend MayaCalDavBackend;
typedef struct _MayaCalDavBackendClass MayaCalDavBackendClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MayaCalDavBackendPrivate MayaCalDavBackendPrivate;
enum  {
	MAYA_CAL_DAV_BACKEND_0_PROPERTY,
	MAYA_CAL_DAV_BACKEND_NUM_PROPERTIES
};
static GParamSpec* maya_cal_dav_backend_properties[MAYA_CAL_DAV_BACKEND_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_SoupURI_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupURI_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaCalDavBackend {
	GObject parent_instance;
	MayaCalDavBackendPrivate * priv;
};

struct _MayaCalDavBackendClass {
	GObjectClass parent_class;
};


extern MayaBackend* backend;
MayaBackend* backend = NULL;
static gpointer maya_cal_dav_backend_parent_class = NULL;
static MayaBackendIface * maya_cal_dav_backend_maya_backend_parent_iface = NULL;

MayaBackend* get_backend (GModule* module);
GType maya_cal_dav_backend_get_type (void) G_GNUC_CONST;
MayaCalDavBackend* maya_cal_dav_backend_new (void);
MayaCalDavBackend* maya_cal_dav_backend_construct (GType object_type);
static gchar* maya_cal_dav_backend_real_get_name (MayaBackend* base);
static gchar* maya_cal_dav_backend_real_get_uid (MayaBackend* base);
static GeeCollection* maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base,
                                                                  ESource* to_edit);
static void _vala_SoupURI_free (SoupURI* self);
static void maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base,
                                                 const gchar* name,
                                                 const gchar* color,
                                                 gboolean set_default,
                                                 GeeCollection* widgets);
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static void maya_cal_dav_backend_real_modify_calendar (MayaBackend* base,
                                                const gchar* name,
                                                const gchar* color,
                                                gboolean set_default,
                                                GeeCollection* widgets,
                                                ESource* source);


MayaBackend*
get_backend (GModule* module)
{
	MayaBackend* result = NULL;
	MayaCalDavBackend* b = NULL;
	MayaCalDavBackend* _tmp0_;
#line 23 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_val_if_fail (module != NULL, NULL);
#line 24 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_debug ("CalDAVBackend.vala:24: Activating CalDAV Backend");
#line 25 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = maya_cal_dav_backend_new ();
#line 25 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	b = _tmp0_;
#line 26 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref ((GObject*) b);
#line 27 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	result = (MayaBackend*) b;
#line 27 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 121 "CalDAVBackend.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 35 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return self ? g_object_ref (self) : NULL;
#line 130 "CalDAVBackend.c"
}


MayaCalDavBackend*
maya_cal_dav_backend_construct (GType object_type)
{
	MayaCalDavBackend * self = NULL;
	MayaBackend* _tmp0_;
#line 34 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) g_object_new (object_type, NULL);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = _g_object_ref0 ((MayaBackend*) self);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (backend);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	backend = _tmp0_;
#line 34 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return self;
#line 149 "CalDAVBackend.c"
}


MayaCalDavBackend*
maya_cal_dav_backend_new (void)
{
#line 34 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return maya_cal_dav_backend_construct (MAYA_TYPE_CAL_DAV_BACKEND);
#line 158 "CalDAVBackend.c"
}


static gchar*
maya_cal_dav_backend_real_get_name (MayaBackend* base)
{
	MayaCalDavBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_;
#line 38 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 39 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = g_strdup (_ ("CalDAV"));
#line 39 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 176 "CalDAVBackend.c"
}


static gchar*
maya_cal_dav_backend_real_get_uid (MayaBackend* base)
{
	MayaCalDavBackend * self;
	gchar* result = NULL;
	gchar* _tmp0_;
#line 42 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 43 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = g_strdup ("caldav-stub");
#line 43 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	result = _tmp0_;
#line 43 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 194 "CalDAVBackend.c"
}


static void
_vala_SoupURI_free (SoupURI* self)
{
#line 74 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_boxed_free (soup_uri_get_type (), self);
#line 203 "CalDAVBackend.c"
}


static GeeCollection*
maya_cal_dav_backend_real_get_new_calendar_widget (MayaBackend* base,
                                                   ESource* to_edit)
{
	MayaCalDavBackend * self;
	GeeCollection* result = NULL;
	GeeLinkedList* collection = NULL;
	GeeLinkedList* _tmp0_;
	gboolean keep_copy = FALSE;
	GeeLinkedList* _tmp6_;
	gboolean _tmp7_;
	MayaPlacementWidget* _tmp8_;
	MayaPlacementWidget* _tmp9_;
	MayaPlacementWidget* url_label = NULL;
	MayaPlacementWidget* _tmp10_;
	MayaPlacementWidget* _tmp11_;
	GtkLabel* _tmp12_;
	MayaPlacementWidget* _tmp13_;
	GtkWidget* _tmp14_;
	MayaPlacementWidget* _tmp15_;
	GtkWidget* _tmp16_;
	MayaPlacementWidget* _tmp17_;
	MayaPlacementWidget* _tmp18_;
	MayaPlacementWidget* _tmp19_;
	gchar* _tmp20_;
	GeeLinkedList* _tmp21_;
	MayaPlacementWidget* _tmp22_;
	MayaPlacementWidget* url_entry = NULL;
	MayaPlacementWidget* _tmp23_;
	MayaPlacementWidget* _tmp24_;
	GtkEntry* _tmp25_;
	MayaPlacementWidget* _tmp26_;
	GtkWidget* _tmp27_;
	MayaPlacementWidget* _tmp28_;
	MayaPlacementWidget* _tmp29_;
	MayaPlacementWidget* _tmp30_;
	gchar* _tmp31_;
	MayaPlacementWidget* _tmp32_;
	GeeLinkedList* _tmp33_;
	MayaPlacementWidget* _tmp34_;
	MayaPlacementWidget* secure_checkbutton = NULL;
	MayaPlacementWidget* _tmp61_;
	MayaPlacementWidget* _tmp62_;
	GtkCheckButton* _tmp63_;
	MayaPlacementWidget* _tmp64_;
	MayaPlacementWidget* _tmp65_;
	MayaPlacementWidget* _tmp66_;
	gchar* _tmp67_;
	GeeLinkedList* _tmp68_;
	MayaPlacementWidget* _tmp69_;
	gchar* user = NULL;
	gchar* _tmp77_;
	GeeLinkedList* _tmp87_;
	const gchar* _tmp88_;
	GeeLinkedList* _tmp89_;
	GeeLinkedList* _tmp90_;
	gchar* email = NULL;
	gchar* _tmp91_;
	GeeLinkedList* _tmp101_;
	const gchar* _tmp102_;
	GeeLinkedList* _tmp103_;
	GeeLinkedList* _tmp104_;
	MayaPlacementWidget* server_checkbutton = NULL;
	MayaPlacementWidget* _tmp105_;
	MayaPlacementWidget* _tmp106_;
	GtkCheckButton* _tmp107_;
	MayaPlacementWidget* _tmp108_;
	MayaPlacementWidget* _tmp109_;
	MayaPlacementWidget* _tmp110_;
	gchar* _tmp111_;
	GeeLinkedList* _tmp119_;
	MayaPlacementWidget* _tmp120_;
#line 46 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 47 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp0_ = gee_linked_list_new (MAYA_TYPE_PLACEMENT_WIDGET, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 47 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	collection = _tmp0_;
#line 49 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	keep_copy = FALSE;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 289 "CalDAVBackend.c"
		ESourceOffline* source_offline = NULL;
		ESourceExtension* _tmp1_;
		ESourceOffline* _tmp2_;
		ESourceOffline* _tmp3_;
		gboolean _tmp4_;
		gboolean _tmp5_;
#line 51 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_OFFLINE);
#line 51 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, e_source_offline_get_type (), ESourceOffline));
#line 51 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		source_offline = _tmp2_;
#line 52 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = source_offline;
#line 52 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = e_source_offline_get_stay_synchronized (_tmp3_);
#line 52 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = _tmp4_;
#line 52 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		keep_copy = _tmp5_;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (source_offline);
#line 312 "CalDAVBackend.c"
	}
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp6_ = collection;
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp7_ = keep_copy;
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp8_ = maya_default_placement_widgets_get_keep_copy (0, _tmp7_);
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp9_ = _tmp8_;
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp6_, _tmp9_);
#line 55 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp9_);
#line 57 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp10_ = maya_placement_widget_new ();
#line 57 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	url_label = _tmp10_;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp11_ = url_label;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("URL:"));
#line 58 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp12_);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp11_->widget);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp11_->widget = (GtkWidget*) _tmp12_;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp13_ = url_label;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp14_ = _tmp13_->widget;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, gtk_label_get_type (), GtkLabel), "expand", TRUE, NULL);
#line 60 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp15_ = url_label;
#line 60 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp16_ = _tmp15_->widget;
#line 60 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_misc_get_type (), GtkMisc), "xalign", 1.0f, NULL);
#line 61 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp17_ = url_label;
#line 61 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp17_->row = 1;
#line 62 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp18_ = url_label;
#line 62 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp18_->column = 0;
#line 63 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp19_ = url_label;
#line 63 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp20_ = g_strdup ("url_label");
#line 63 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp19_->ref_name);
#line 63 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp19_->ref_name = _tmp20_;
#line 64 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp21_ = collection;
#line 64 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp22_ = url_label;
#line 64 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp21_, _tmp22_);
#line 66 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp23_ = maya_placement_widget_new ();
#line 66 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	url_entry = _tmp23_;
#line 67 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp24_ = url_entry;
#line 67 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp25_ = (GtkEntry*) gtk_entry_new ();
#line 67 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp25_);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp24_->widget);
#line 67 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp24_->widget = (GtkWidget*) _tmp25_;
#line 68 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp26_ = url_entry;
#line 68 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp27_ = _tmp26_->widget;
#line 68 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_entry_get_type (), GtkEntry), "http://");
#line 69 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp28_ = url_entry;
#line 69 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp28_->row = 1;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp29_ = url_entry;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp29_->column = 1;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp30_ = url_entry;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp31_ = g_strdup ("url_entry");
#line 71 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp30_->ref_name);
#line 71 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp30_->ref_name = _tmp31_;
#line 72 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_ = url_entry;
#line 72 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp32_->needed = TRUE;
#line 73 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp33_ = collection;
#line 73 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp34_ = url_entry;
#line 73 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp33_, _tmp34_);
#line 74 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 422 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESourceExtension* _tmp35_;
		ESourceWebdav* _tmp36_;
		SoupURI* uri = NULL;
		ESourceWebdav* _tmp37_;
		SoupURI* _tmp38_;
		SoupURI* _tmp39_;
#line 75 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp35_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 75 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp36_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp35_, e_source_webdav_get_type (), ESourceWebdav));
#line 75 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp36_;
#line 76 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp37_ = webdav;
#line 76 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp38_ = e_source_webdav_dup_soup_uri (_tmp37_);
#line 76 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		uri = _tmp38_;
#line 77 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp39_ = uri;
#line 77 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (soup_uri_get_port (_tmp39_) != ((guint) 80)) {
#line 446 "CalDAVBackend.c"
			MayaPlacementWidget* _tmp40_;
			GtkWidget* _tmp41_;
			SoupURI* _tmp42_;
			const gchar* _tmp43_;
			SoupURI* _tmp44_;
			const gchar* _tmp45_;
			SoupURI* _tmp46_;
			SoupURI* _tmp47_;
			const gchar* _tmp48_;
			gchar* _tmp49_;
			gchar* _tmp50_;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp40_ = url_entry;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp41_ = _tmp40_->widget;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp42_ = uri;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp43_ = soup_uri_get_scheme (_tmp42_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp44_ = uri;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp45_ = soup_uri_get_host (_tmp44_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp46_ = uri;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp47_ = uri;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp48_ = soup_uri_get_path (_tmp47_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp49_ = g_strdup_printf ("%s://%s:%u%s", _tmp43_, _tmp45_, soup_uri_get_port (_tmp46_), _tmp48_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp50_ = _tmp49_;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_entry_get_type (), GtkEntry), _tmp50_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (_tmp50_);
#line 484 "CalDAVBackend.c"
		} else {
			MayaPlacementWidget* _tmp51_;
			GtkWidget* _tmp52_;
			SoupURI* _tmp53_;
			const gchar* _tmp54_;
			SoupURI* _tmp55_;
			const gchar* _tmp56_;
			SoupURI* _tmp57_;
			const gchar* _tmp58_;
			gchar* _tmp59_;
			gchar* _tmp60_;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp51_ = url_entry;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp52_ = _tmp51_->widget;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp53_ = uri;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp54_ = soup_uri_get_scheme (_tmp53_);
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp55_ = uri;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp56_ = soup_uri_get_host (_tmp55_);
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp57_ = uri;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp58_ = soup_uri_get_path (_tmp57_);
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp59_ = g_strdup_printf ("%s://%s%s", _tmp54_, _tmp56_, _tmp58_);
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp60_ = _tmp59_;
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp52_, gtk_entry_get_type (), GtkEntry), _tmp60_);
#line 80 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (_tmp60_);
#line 520 "CalDAVBackend.c"
		}
#line 74 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		__vala_SoupURI_free0 (uri);
#line 74 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 526 "CalDAVBackend.c"
	}
#line 94 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp61_ = maya_placement_widget_new ();
#line 94 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	secure_checkbutton = _tmp61_;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp62_ = secure_checkbutton;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp63_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Use a secure connection"));
#line 95 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp63_);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp62_->widget);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp62_->widget = (GtkWidget*) _tmp63_;
#line 96 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp64_ = secure_checkbutton;
#line 96 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp64_->row = 3;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp65_ = secure_checkbutton;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp65_->column = 1;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp66_ = secure_checkbutton;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp67_ = g_strdup ("secure_checkbutton");
#line 98 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp66_->ref_name);
#line 98 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp66_->ref_name = _tmp67_;
#line 99 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp68_ = collection;
#line 99 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp69_ = secure_checkbutton;
#line 99 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp68_, _tmp69_);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 566 "CalDAVBackend.c"
		ESourceSecurity* security = NULL;
		ESourceExtension* _tmp70_;
		ESourceSecurity* _tmp71_;
		MayaPlacementWidget* _tmp72_;
		GtkWidget* _tmp73_;
		ESourceSecurity* _tmp74_;
		gboolean _tmp75_;
		gboolean _tmp76_;
#line 101 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp70_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_SECURITY);
#line 101 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp71_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp70_, e_source_security_get_type (), ESourceSecurity));
#line 101 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		security = _tmp71_;
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp72_ = secure_checkbutton;
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp73_ = _tmp72_->widget;
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp74_ = security;
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp75_ = e_source_security_get_secure (_tmp74_);
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp76_ = _tmp75_;
#line 102 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp73_, gtk_check_button_get_type (), GtkCheckButton), _tmp76_);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (security);
#line 595 "CalDAVBackend.c"
	}
#line 105 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp77_ = g_strdup ("");
#line 105 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	user = _tmp77_;
#line 106 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 603 "CalDAVBackend.c"
		ESourceAuthentication* auth = NULL;
		ESourceExtension* _tmp78_;
		ESourceAuthentication* _tmp79_;
		ESourceAuthentication* _tmp80_;
		const gchar* _tmp81_;
		const gchar* _tmp82_;
#line 107 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp78_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 107 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp79_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp78_, e_source_authentication_get_type (), ESourceAuthentication));
#line 107 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp79_;
#line 108 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp80_ = auth;
#line 108 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp81_ = e_source_authentication_get_user (_tmp80_);
#line 108 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp82_ = _tmp81_;
#line 108 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp82_ != NULL) {
#line 624 "CalDAVBackend.c"
			ESourceAuthentication* _tmp83_;
			const gchar* _tmp84_;
			const gchar* _tmp85_;
			gchar* _tmp86_;
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp83_ = auth;
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp84_ = e_source_authentication_get_user (_tmp83_);
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp85_ = _tmp84_;
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp86_ = g_strdup (_tmp85_);
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (user);
#line 109 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			user = _tmp86_;
#line 641 "CalDAVBackend.c"
		}
#line 106 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 645 "CalDAVBackend.c"
	}
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp87_ = collection;
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp88_ = user;
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp89_ = maya_default_placement_widgets_get_user (4, TRUE, _tmp88_, NULL);
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp90_ = _tmp89_;
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp87_, (GeeCollection*) _tmp90_);
#line 111 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp90_);
#line 113 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp91_ = g_strdup ("");
#line 113 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	email = _tmp91_;
#line 114 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 665 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESourceExtension* _tmp92_;
		ESourceWebdav* _tmp93_;
		ESourceWebdav* _tmp94_;
		const gchar* _tmp95_;
		const gchar* _tmp96_;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp92_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 115 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp93_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp92_, e_source_webdav_get_type (), ESourceWebdav));
#line 115 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp93_;
#line 116 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp94_ = webdav;
#line 116 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp95_ = e_source_webdav_get_email_address (_tmp94_);
#line 116 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp96_ = _tmp95_;
#line 116 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (_tmp96_ != NULL) {
#line 686 "CalDAVBackend.c"
			ESourceWebdav* _tmp97_;
			const gchar* _tmp98_;
			const gchar* _tmp99_;
			gchar* _tmp100_;
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp97_ = webdav;
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp98_ = e_source_webdav_get_email_address (_tmp97_);
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp99_ = _tmp98_;
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp100_ = g_strdup (_tmp99_);
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_free0 (email);
#line 117 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			email = _tmp100_;
#line 703 "CalDAVBackend.c"
		}
#line 114 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 707 "CalDAVBackend.c"
	}
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp101_ = collection;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp102_ = email;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp103_ = maya_default_placement_widgets_get_email (5, FALSE, _tmp102_, NULL);
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp104_ = _tmp103_;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_collection_add_all ((GeeCollection*) _tmp101_, (GeeCollection*) _tmp104_);
#line 120 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp104_);
#line 122 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp105_ = maya_placement_widget_new ();
#line 122 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	server_checkbutton = _tmp105_;
#line 123 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_ = server_checkbutton;
#line 123 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp107_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Server handles meeting invitations"));
#line 123 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_object_ref_sink (_tmp107_);
#line 123 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (_tmp106_->widget);
#line 123 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp106_->widget = (GtkWidget*) _tmp107_;
#line 124 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp108_ = server_checkbutton;
#line 124 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp108_->row = 6;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp109_ = server_checkbutton;
#line 125 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp109_->column = 1;
#line 126 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp110_ = server_checkbutton;
#line 126 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp111_ = g_strdup ("server_checkbutton");
#line 126 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (_tmp110_->ref_name);
#line 126 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp110_->ref_name = _tmp111_;
#line 127 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (to_edit != NULL) {
#line 753 "CalDAVBackend.c"
		ESourceWebdav* webdav = NULL;
		ESourceExtension* _tmp112_;
		ESourceWebdav* _tmp113_;
		MayaPlacementWidget* _tmp114_;
		GtkWidget* _tmp115_;
		ESourceWebdav* _tmp116_;
		gboolean _tmp117_;
		gboolean _tmp118_;
#line 128 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp112_ = e_source_get_extension (to_edit, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 128 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp113_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp112_, e_source_webdav_get_type (), ESourceWebdav));
#line 128 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp113_;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp114_ = server_checkbutton;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp115_ = _tmp114_->widget;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp116_ = webdav;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp117_ = e_source_webdav_get_calendar_auto_schedule (_tmp116_);
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp118_ = _tmp117_;
#line 129 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp115_, gtk_check_button_get_type (), GtkCheckButton), _tmp118_);
#line 127 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 782 "CalDAVBackend.c"
	}
#line 132 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp119_ = collection;
#line 132 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_tmp120_ = server_checkbutton;
#line 132 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp119_, _tmp120_);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	result = (GeeCollection*) collection;
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (server_checkbutton);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (email);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_free0 (user);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (secure_checkbutton);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_entry);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	_g_object_unref0 (url_label);
#line 133 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	return result;
#line 806 "CalDAVBackend.c"
}


static void
_g_object_unref0_ (gpointer var)
{
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 815 "CalDAVBackend.c"
}


static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 824 "CalDAVBackend.c"
}


static void
maya_cal_dav_backend_real_add_new_calendar (MayaBackend* base,
                                            const gchar* name,
                                            const gchar* color,
                                            gboolean set_default,
                                            GeeCollection* widgets)
{
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 136 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 136 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 845 "CalDAVBackend.c"
	{
		ESource* new_source = NULL;
		ESource* _tmp0_;
		ESource* _tmp1_;
		ESource* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		ESourceCalendar* cal = NULL;
		ESource* _tmp5_;
		ESourceExtension* _tmp6_;
		ESourceCalendar* _tmp7_;
		ESourceCalendar* _tmp8_;
		ESourceCalendar* _tmp9_;
		ESourceWebdav* webdav = NULL;
		ESource* _tmp10_;
		ESourceExtension* _tmp11_;
		ESourceWebdav* _tmp12_;
		ESourceAuthentication* auth = NULL;
		ESource* _tmp13_;
		ESourceExtension* _tmp14_;
		ESourceAuthentication* _tmp15_;
		ESourceOffline* offline = NULL;
		ESource* _tmp16_;
		ESourceExtension* _tmp17_;
		ESourceOffline* _tmp18_;
		MayaModelCalendarModel* calmodel = NULL;
		MayaModelCalendarModel* _tmp55_;
		ESourceRegistry* registry = NULL;
		MayaModelCalendarModel* _tmp56_;
		ESourceRegistry* _tmp57_;
		ESourceRegistry* _tmp58_;
		ESourceRegistry* _tmp59_;
		GList* list = NULL;
		ESource* _tmp60_;
		ESource* _tmp61_;
		ESourceRegistry* _tmp62_;
		GList* _tmp63_;
		MayaModelCalendarModel* _tmp64_;
		ESource* _tmp65_;
#line 138 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = e_source_new (NULL, NULL, &_inner_error_);
#line 138 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		new_source = _tmp0_;
#line 138 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 891 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 139 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = new_source;
#line 139 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (_tmp1_, name);
#line 140 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = new_source;
#line 140 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = maya_backend_get_uid ((MayaBackend*) self);
#line 140 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _tmp3_;
#line 140 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_parent (_tmp2_, _tmp4_);
#line 140 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_free0 (_tmp4_);
#line 141 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = new_source;
#line 141 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = e_source_get_extension (_tmp5_, E_SOURCE_EXTENSION_CALENDAR);
#line 141 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, e_source_calendar_get_type (), ESourceCalendar));
#line 141 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp7_;
#line 142 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = cal;
#line 142 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp8_, color);
#line 143 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp9_ = cal;
#line 143 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_backend_set_backend_name ((ESourceBackend*) _tmp9_, "caldav");
#line 144 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp10_ = new_source;
#line 144 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp11_ = e_source_get_extension (_tmp10_, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 144 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, e_source_webdav_get_type (), ESourceWebdav));
#line 144 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp12_;
#line 145 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp13_ = new_source;
#line 145 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp14_ = e_source_get_extension (_tmp13_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 145 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp15_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, e_source_authentication_get_type (), ESourceAuthentication));
#line 145 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp15_;
#line 146 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp16_ = new_source;
#line 146 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp17_ = e_source_get_extension (_tmp16_, E_SOURCE_EXTENSION_OFFLINE);
#line 146 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp18_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, e_source_offline_get_type (), ESourceOffline));
#line 146 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp18_;
#line 948 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeIterator* _tmp19_;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp19_ = gee_iterable_iterator ((GeeIterable*) widgets);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp19_;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 958 "CalDAVBackend.c"
				GeeIterator* _tmp20_;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp21_;
				gpointer _tmp22_;
				MayaPlacementWidget* _tmp23_;
				const gchar* _tmp24_;
				const gchar* _tmp25_;
				GQuark _tmp27_ = 0U;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp26_label0 = 0;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp26_label1 = 0;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp26_label2 = 0;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp26_label3 = 0;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp26_label4 = 0;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp20_ = _widget_it;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				if (!gee_iterator_next (_tmp20_)) {
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 983 "CalDAVBackend.c"
				}
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp21_ = _widget_it;
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp22_ = gee_iterator_get (_tmp21_);
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp22_;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp23_ = widget;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp24_ = _tmp23_->ref_name;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp25_ = _tmp24_;
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp27_ = (NULL == _tmp25_) ? 0 : g_quark_from_string (_tmp25_);
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp27_ == ((0 != _tmp26_label0) ? _tmp26_label0 : (_tmp26_label0 = g_quark_from_static_string ("url_entry")))) {
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1003 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp28_;
							MayaPlacementWidget* _tmp29_;
							GtkWidget* _tmp30_;
							const gchar* _tmp31_;
							const gchar* _tmp32_;
							SoupURI* _tmp33_;
							SoupURI* _tmp34_;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp28_ = webdav;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp29_ = widget;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp30_ = _tmp29_->widget;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp31_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_entry_get_type (), GtkEntry));
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = _tmp31_;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = soup_uri_new (_tmp32_);
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = _tmp33_;
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp28_, "soup-uri", _tmp34_, NULL);
#line 150 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp34_);
#line 151 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1033 "CalDAVBackend.c"
						}
					}
				} else if (_tmp27_ == ((0 != _tmp26_label1) ? _tmp26_label1 : (_tmp26_label1 = g_quark_from_static_string ("user_entry")))) {
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1039 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp35_;
							MayaPlacementWidget* _tmp36_;
							GtkWidget* _tmp37_;
							const gchar* _tmp38_;
							const gchar* _tmp39_;
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = auth;
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = widget;
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = _tmp36_->widget;
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, gtk_entry_get_type (), GtkEntry));
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = _tmp38_;
#line 153 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp35_, _tmp39_);
#line 154 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1061 "CalDAVBackend.c"
						}
					}
				} else if (_tmp27_ == ((0 != _tmp26_label2) ? _tmp26_label2 : (_tmp26_label2 = g_quark_from_static_string ("email_entry")))) {
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1067 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp40_;
							MayaPlacementWidget* _tmp41_;
							GtkWidget* _tmp42_;
							const gchar* _tmp43_;
							const gchar* _tmp44_;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = webdav;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = widget;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = _tmp41_->widget;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp42_, gtk_entry_get_type (), GtkEntry));
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = _tmp43_;
#line 156 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp40_, _tmp44_);
#line 157 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1089 "CalDAVBackend.c"
						}
					}
				} else if (_tmp27_ == ((0 != _tmp26_label3) ? _tmp26_label3 : (_tmp26_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1095 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp45_;
							MayaPlacementWidget* _tmp46_;
							GtkWidget* _tmp47_;
							gboolean _tmp48_;
							gboolean _tmp49_;
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp45_ = webdav;
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp46_ = widget;
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp47_ = _tmp46_->widget;
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp48_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp47_, gtk_check_button_get_type (), GtkCheckButton));
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp49_ = _tmp48_;
#line 159 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp45_, _tmp49_);
#line 160 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1117 "CalDAVBackend.c"
						}
					}
				} else if (_tmp27_ == ((0 != _tmp26_label4) ? _tmp26_label4 : (_tmp26_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 148 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1123 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp50_;
							MayaPlacementWidget* _tmp51_;
							GtkWidget* _tmp52_;
							gboolean _tmp53_;
							gboolean _tmp54_;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp50_ = offline;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp51_ = widget;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp52_ = _tmp51_->widget;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp53_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp52_, gtk_check_button_get_type (), GtkCheckButton));
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp54_ = _tmp53_;
#line 162 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp50_, _tmp54_);
#line 163 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1145 "CalDAVBackend.c"
						}
					}
				}
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1151 "CalDAVBackend.c"
			}
#line 147 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1155 "CalDAVBackend.c"
		}
#line 167 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp55_ = maya_model_calendar_model_get_default ();
#line 167 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		calmodel = _tmp55_;
#line 168 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp56_ = calmodel;
#line 168 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp57_ = maya_model_calendar_model_get_registry (_tmp56_);
#line 168 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp58_ = _tmp57_;
#line 168 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp59_ = _g_object_ref0 (_tmp58_);
#line 168 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		registry = _tmp59_;
#line 169 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		list = NULL;
#line 170 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp60_ = new_source;
#line 170 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp61_ = _g_object_ref0 (_tmp60_);
#line 170 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		list = g_list_append (list, _tmp61_);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp62_ = registry;
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp63_ = list;
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_registry_create_sources_sync (_tmp62_, _tmp63_, NULL, &_inner_error_);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			__g_list_free__g_object_unref0_0 (list);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (calmodel);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (offline);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (auth);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (webdav);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (cal);
#line 171 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (new_source);
#line 1203 "CalDAVBackend.c"
			goto __catch0_g_error;
		}
#line 172 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp64_ = calmodel;
#line 172 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp65_ = new_source;
#line 172 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		maya_model_calendar_model_add_source (_tmp64_, _tmp65_);
#line 173 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (set_default) {
#line 1214 "CalDAVBackend.c"
			ESourceRegistry* _tmp66_;
			ESource* _tmp67_;
#line 174 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp66_ = registry;
#line 174 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp67_ = new_source;
#line 174 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp66_, "default-calendar", _tmp67_, NULL);
#line 1223 "CalDAVBackend.c"
		}
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		__g_list_free__g_object_unref0_0 (list);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (registry);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (calmodel);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (new_source);
#line 1241 "CalDAVBackend.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp68_;
		const gchar* _tmp69_;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 178 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp68_ = _error_;
#line 178 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp69_ = _tmp68_->message;
#line 178 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:178: %s", _tmp69_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1261 "CalDAVBackend.c"
	}
	__finally0:
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 137 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1272 "CalDAVBackend.c"
	}
}


static void
maya_cal_dav_backend_real_modify_calendar (MayaBackend* base,
                                           const gchar* name,
                                           const gchar* color,
                                           gboolean set_default,
                                           GeeCollection* widgets,
                                           ESource* source)
{
	MayaCalDavBackend * self;
	GError * _inner_error_ = NULL;
#line 182 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	self = (MayaCalDavBackend*) base;
#line 182 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (name != NULL);
#line 182 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (color != NULL);
#line 182 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (widgets != NULL);
#line 182 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	g_return_if_fail (source != NULL);
#line 1297 "CalDAVBackend.c"
	{
		ESourceCalendar* cal = NULL;
		ESourceExtension* _tmp0_;
		ESourceCalendar* _tmp1_;
		ESourceCalendar* _tmp2_;
		ESourceWebdav* webdav = NULL;
		ESourceExtension* _tmp3_;
		ESourceWebdav* _tmp4_;
		ESourceAuthentication* auth = NULL;
		ESourceExtension* _tmp5_;
		ESourceAuthentication* _tmp6_;
		ESourceOffline* offline = NULL;
		ESourceExtension* _tmp7_;
		ESourceOffline* _tmp8_;
#line 184 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_set_display_name (source, name);
#line 185 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp0_ = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);
#line 185 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, e_source_calendar_get_type (), ESourceCalendar));
#line 185 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		cal = _tmp1_;
#line 186 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp2_ = cal;
#line 186 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_selectable_set_color ((ESourceSelectable*) _tmp2_, color);
#line 187 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp3_ = e_source_get_extension (source, E_SOURCE_EXTENSION_WEBDAV_BACKEND);
#line 187 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, e_source_webdav_get_type (), ESourceWebdav));
#line 187 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		webdav = _tmp4_;
#line 188 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp5_ = e_source_get_extension (source, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 188 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp6_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, e_source_authentication_get_type (), ESourceAuthentication));
#line 188 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		auth = _tmp6_;
#line 189 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp7_ = e_source_get_extension (source, E_SOURCE_EXTENSION_OFFLINE);
#line 189 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, e_source_offline_get_type (), ESourceOffline));
#line 189 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		offline = _tmp8_;
#line 1342 "CalDAVBackend.c"
		{
			GeeIterator* _widget_it = NULL;
			GeeIterator* _tmp9_;
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp9_ = gee_iterable_iterator ((GeeIterable*) widgets);
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_widget_it = _tmp9_;
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			while (TRUE) {
#line 1352 "CalDAVBackend.c"
				GeeIterator* _tmp10_;
				MayaPlacementWidget* widget = NULL;
				GeeIterator* _tmp11_;
				gpointer _tmp12_;
				MayaPlacementWidget* _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
				GQuark _tmp17_ = 0U;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp16_label0 = 0;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp16_label1 = 0;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp16_label2 = 0;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp16_label3 = 0;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				static GQuark _tmp16_label4 = 0;
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp10_ = _widget_it;
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				if (!gee_iterator_next (_tmp10_)) {
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					break;
#line 1377 "CalDAVBackend.c"
				}
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp11_ = _widget_it;
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp12_ = gee_iterator_get (_tmp11_);
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				widget = (MayaPlacementWidget*) _tmp12_;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp13_ = widget;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp14_ = _tmp13_->ref_name;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp15_ = _tmp14_;
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("url_entry")))) {
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1397 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp18_;
							MayaPlacementWidget* _tmp19_;
							GtkWidget* _tmp20_;
							const gchar* _tmp21_;
							const gchar* _tmp22_;
							SoupURI* _tmp23_;
							SoupURI* _tmp24_;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp18_ = webdav;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp19_ = widget;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp20_ = _tmp19_->widget;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp21_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, gtk_entry_get_type (), GtkEntry));
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp22_ = _tmp21_;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp23_ = soup_uri_new (_tmp22_);
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp24_ = _tmp23_;
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							g_object_set (_tmp18_, "soup-uri", _tmp24_, NULL);
#line 193 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							__vala_SoupURI_free0 (_tmp24_);
#line 194 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1427 "CalDAVBackend.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("user_entry")))) {
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1433 "CalDAVBackend.c"
						default:
						{
							ESourceAuthentication* _tmp25_;
							MayaPlacementWidget* _tmp26_;
							GtkWidget* _tmp27_;
							const gchar* _tmp28_;
							const gchar* _tmp29_;
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp25_ = auth;
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp26_ = widget;
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp27_ = _tmp26_->widget;
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp28_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_entry_get_type (), GtkEntry));
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp29_ = _tmp28_;
#line 196 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_authentication_set_user (_tmp25_, _tmp29_);
#line 197 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1455 "CalDAVBackend.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("email_entry")))) {
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1461 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp30_;
							MayaPlacementWidget* _tmp31_;
							GtkWidget* _tmp32_;
							const gchar* _tmp33_;
							const gchar* _tmp34_;
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp30_ = webdav;
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp31_ = widget;
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp32_ = _tmp31_->widget;
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp33_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp32_, gtk_entry_get_type (), GtkEntry));
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp34_ = _tmp33_;
#line 199 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_email_address (_tmp30_, _tmp34_);
#line 200 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1483 "CalDAVBackend.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("server_checkbutton")))) {
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1489 "CalDAVBackend.c"
						default:
						{
							ESourceWebdav* _tmp35_;
							MayaPlacementWidget* _tmp36_;
							GtkWidget* _tmp37_;
							gboolean _tmp38_;
							gboolean _tmp39_;
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp35_ = webdav;
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp36_ = widget;
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp37_ = _tmp36_->widget;
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp38_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, gtk_check_button_get_type (), GtkCheckButton));
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp39_ = _tmp38_;
#line 202 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_webdav_set_calendar_auto_schedule (_tmp35_, _tmp39_);
#line 203 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1511 "CalDAVBackend.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("keep_copy")))) {
#line 191 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
					switch (0) {
#line 1517 "CalDAVBackend.c"
						default:
						{
							ESourceOffline* _tmp40_;
							MayaPlacementWidget* _tmp41_;
							GtkWidget* _tmp42_;
							gboolean _tmp43_;
							gboolean _tmp44_;
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp40_ = offline;
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp41_ = widget;
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp42_ = _tmp41_->widget;
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp43_ = gtk_toggle_button_get_active ((GtkToggleButton*) G_TYPE_CHECK_INSTANCE_CAST (_tmp42_, gtk_check_button_get_type (), GtkCheckButton));
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							_tmp44_ = _tmp43_;
#line 205 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							e_source_offline_set_stay_synchronized (_tmp40_, _tmp44_);
#line 206 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
							break;
#line 1539 "CalDAVBackend.c"
						}
					}
				}
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (widget);
#line 1545 "CalDAVBackend.c"
			}
#line 190 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (_widget_it);
#line 1549 "CalDAVBackend.c"
		}
#line 210 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		e_source_write (source, NULL, NULL, NULL);
#line 211 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		if (set_default) {
#line 1555 "CalDAVBackend.c"
			ESourceRegistry* registry = NULL;
			ESourceRegistry* _tmp45_;
			ESourceRegistry* _tmp46_;
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp45_ = e_source_registry_new_sync (NULL, &_inner_error_);
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			registry = _tmp45_;
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (offline);
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (auth);
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (webdav);
#line 212 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
				_g_object_unref0 (cal);
#line 1573 "CalDAVBackend.c"
				goto __catch1_g_error;
			}
#line 213 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_tmp46_ = registry;
#line 213 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			g_object_set (_tmp46_, "default-calendar", source, NULL);
#line 211 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
			_g_object_unref0 (registry);
#line 1582 "CalDAVBackend.c"
		}
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (offline);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (auth);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (webdav);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_object_unref0 (cal);
#line 1592 "CalDAVBackend.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp47_;
		const gchar* _tmp48_;
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_error_ = _inner_error_;
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_inner_error_ = NULL;
#line 217 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp47_ = _error_;
#line 217 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_tmp48_ = _tmp47_->message;
#line 217 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("CalDAVBackend.vala:217: %s", _tmp48_);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		_g_error_free0 (_error_);
#line 1612 "CalDAVBackend.c"
	}
	__finally1:
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		g_clear_error (&_inner_error_);
#line 183 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
		return;
#line 1623 "CalDAVBackend.c"
	}
}


static void
maya_cal_dav_backend_class_init (MayaCalDavBackendClass * klass)
{
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_parent_class = g_type_class_peek_parent (klass);
#line 1633 "CalDAVBackend.c"
}


static void
maya_cal_dav_backend_maya_backend_interface_init (MayaBackendIface * iface)
{
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	maya_cal_dav_backend_maya_backend_parent_iface = g_type_interface_peek_parent (iface);
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_name = (gchar* (*) (MayaBackend *)) maya_cal_dav_backend_real_get_name;
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_uid = (gchar* (*) (MayaBackend *)) maya_cal_dav_backend_real_get_uid;
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	iface->get_new_calendar_widget = (GeeCollection* (*) (MayaBackend *, ESource*)) maya_cal_dav_backend_real_get_new_calendar_widget;
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	iface->add_new_calendar = (void (*) (MayaBackend *, const gchar*, const gchar*, gboolean, GeeCollection*)) maya_cal_dav_backend_real_add_new_calendar;
#line 32 "/builddir/build/BUILD/calendar-0.4.1/plugins/CalDAV/CalDAVBackend.vala"
	iface->modify_calendar = (void (*) (MayaBackend *, const gchar*, const gchar*, gboolean, GeeCollection*, ESource*)) maya_cal_dav_backend_real_modify_calendar;
#line 1652 "CalDAVBackend.c"
}


static void
maya_cal_dav_backend_instance_init (MayaCalDavBackend * self)
{
}


GType
maya_cal_dav_backend_get_type (void)
{
	static volatile gsize maya_cal_dav_backend_type_id__volatile = 0;
	if (g_once_init_enter (&maya_cal_dav_backend_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaCalDavBackendClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_cal_dav_backend_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaCalDavBackend), 0, (GInstanceInitFunc) maya_cal_dav_backend_instance_init, NULL };
		static const GInterfaceInfo maya_backend_info = { (GInterfaceInitFunc) maya_cal_dav_backend_maya_backend_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
		GType maya_cal_dav_backend_type_id;
		maya_cal_dav_backend_type_id = g_type_register_static (G_TYPE_OBJECT, "MayaCalDavBackend", &g_define_type_info, 0);
		g_type_add_interface_static (maya_cal_dav_backend_type_id, MAYA_TYPE_BACKEND, &maya_backend_info);
		g_once_init_leave (&maya_cal_dav_backend_type_id__volatile, maya_cal_dav_backend_type_id);
	}
	return maya_cal_dav_backend_type_id__volatile;
}



