/* ContactImage.c generated by valac 0.40.4, the Vala compiler
 * generated from ContactImage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Maya Developers (http://launchpad.net/maya)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */
/* 
 * This widget auto-updates his image when the contact changes his avatar.
 * It draws circle icons following the current trend.
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <folks/folks.h>
#include <gio/gio.h>
#include <cairo.h>
#include <float.h>
#include <math.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <granite.h>
#include <gdk/gdk.h>


#define MAYA_TYPE_CONTACT_IMAGE (maya_contact_image_get_type ())
#define MAYA_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImage))
#define MAYA_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))
#define MAYA_IS_CONTACT_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_IS_CONTACT_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MAYA_TYPE_CONTACT_IMAGE))
#define MAYA_CONTACT_IMAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MAYA_TYPE_CONTACT_IMAGE, MayaContactImageClass))

typedef struct _MayaContactImage MayaContactImage;
typedef struct _MayaContactImageClass MayaContactImageClass;
typedef struct _MayaContactImagePrivate MayaContactImagePrivate;
enum  {
	MAYA_CONTACT_IMAGE_0_PROPERTY,
	MAYA_CONTACT_IMAGE_NUM_PROPERTIES
};
static GParamSpec* maya_contact_image_properties[MAYA_CONTACT_IMAGE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block5Data Block5Data;
typedef struct _Block6Data Block6Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _MayaContactImage {
	GtkStack parent_instance;
	MayaContactImagePrivate * priv;
};

struct _MayaContactImageClass {
	GtkStackClass parent_class;
};

struct _MayaContactImagePrivate {
	GtkIconSize icon_size;
	GtkImage* current_image;
	gboolean default_avatar;
};

struct _Block5Data {
	int _ref_count_;
	MayaContactImage* self;
	FolksIndividual* individual;
};

struct _Block6Data {
	int _ref_count_;
	MayaContactImage* self;
	GLoadableIcon* icon;
};


static gpointer maya_contact_image_parent_class = NULL;

GType maya_contact_image_get_type (void) G_GNUC_CONST;
#define MAYA_CONTACT_IMAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), MAYA_TYPE_CONTACT_IMAGE, MayaContactImagePrivate))
MayaContactImage* maya_contact_image_new (GtkIconSize icon_size,
                                          FolksIndividual* individual);
MayaContactImage* maya_contact_image_construct (GType object_type,
                                                GtkIconSize icon_size,
                                                FolksIndividual* individual);
static void maya_contact_image_show_default_avatar (MayaContactImage* self);
void maya_contact_image_add_contact (MayaContactImage* self,
                                     FolksIndividual* individual);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self,
                                                        GLoadableIcon* icon);
static void __lambda90_ (Block5Data* _data5_);
static void ___lambda90__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static gboolean __lambda89_ (Block6Data* _data6_,
                      cairo_t* cr);
static gboolean ___lambda89__gtk_widget_draw (GtkWidget* _sender,
                                       cairo_t* cr,
                                       gpointer self);
static void maya_contact_image_show_avatar_image (MayaContactImage* self,
                                           GtkImage* image);
static gboolean __lambda88_ (MayaContactImage* self,
                      cairo_t* cr);
static gboolean ___lambda88__gtk_widget_draw (GtkWidget* _sender,
                                       cairo_t* cr,
                                       gpointer self);
static void maya_contact_image_finalize (GObject * obj);


MayaContactImage*
maya_contact_image_construct (GType object_type,
                              GtkIconSize icon_size,
                              FolksIndividual* individual)
{
	MayaContactImage * self = NULL;
	GtkImage* force_size_image = NULL;
	GtkImage* _tmp0_;
	GtkImage* _tmp1_;
#line 29 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self = (MayaContactImage*) g_object_new (object_type, NULL);
#line 30 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv->icon_size = icon_size;
#line 31 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_stack_set_transition_type ((GtkStack*) self, GTK_STACK_TRANSITION_TYPE_CROSSFADE);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp0_ = (GtkImage*) gtk_image_new_from_icon_name ("avatar-default", (GtkIconSize) icon_size);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp0_);
#line 33 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	force_size_image = _tmp0_;
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp1_ = force_size_image;
#line 34 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp1_);
#line 35 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_default_avatar (self);
#line 37 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (individual != NULL) {
#line 38 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		maya_contact_image_add_contact (self, individual);
#line 159 "ContactImage.c"
	}
#line 41 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 29 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (force_size_image);
#line 29 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return self;
#line 167 "ContactImage.c"
}


MayaContactImage*
maya_contact_image_new (GtkIconSize icon_size,
                        FolksIndividual* individual)
{
#line 29 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return maya_contact_image_construct (MAYA_TYPE_CONTACT_IMAGE, icon_size, individual);
#line 177 "ContactImage.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return self ? g_object_ref (self) : NULL;
#line 186 "ContactImage.c"
}


static Block5Data*
block5_data_ref (Block5Data* _data5_)
{
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return _data5_;
#line 197 "ContactImage.c"
}


static void
block5_data_unref (void * _userdata_)
{
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 208 "ContactImage.c"
		MayaContactImage* self;
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		self = _data5_->self;
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data5_->individual);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_slice_free (Block5Data, _data5_);
#line 218 "ContactImage.c"
	}
}


static void
__lambda90_ (Block5Data* _data5_)
{
	MayaContactImage* self;
	gboolean _tmp0_ = FALSE;
	GLoadableIcon* _tmp1_;
	GLoadableIcon* _tmp2_;
#line 49 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self = _data5_->self;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp1_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data5_->individual);
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp2_ = _tmp1_;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (_tmp2_ != NULL) {
#line 238 "ContactImage.c"
		gboolean _tmp3_;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp3_ = self->priv->default_avatar;
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp0_ = _tmp3_ == TRUE;
#line 244 "ContactImage.c"
	} else {
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp0_ = FALSE;
#line 248 "ContactImage.c"
	}
#line 50 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (_tmp0_) {
#line 252 "ContactImage.c"
		GLoadableIcon* _tmp4_;
		GLoadableIcon* _tmp5_;
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp4_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data5_->individual);
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp5_ = _tmp4_;
#line 51 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp5_);
#line 261 "ContactImage.c"
	} else {
#line 53 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_default_avatar (self);
#line 265 "ContactImage.c"
	}
}


static void
___lambda90__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 49 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	__lambda90_ (self);
#line 277 "ContactImage.c"
}


void
maya_contact_image_add_contact (MayaContactImage* self,
                                FolksIndividual* individual)
{
	Block5Data* _data5_;
	FolksIndividual* _tmp0_;
	gboolean _tmp1_ = FALSE;
	GLoadableIcon* _tmp2_;
	GLoadableIcon* _tmp3_;
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (individual != NULL);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data5_->_ref_count_ = 1;
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data5_->self = g_object_ref (self);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp0_ = _g_object_ref0 (individual);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data5_->individual);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data5_->individual = _tmp0_;
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp2_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data5_->individual);
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp3_ = _tmp2_;
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (_tmp3_ != NULL) {
#line 312 "ContactImage.c"
		gboolean _tmp4_;
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp4_ = self->priv->default_avatar;
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp1_ = _tmp4_ == TRUE;
#line 318 "ContactImage.c"
	} else {
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp1_ = FALSE;
#line 322 "ContactImage.c"
	}
#line 45 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (_tmp1_) {
#line 326 "ContactImage.c"
		GLoadableIcon* _tmp5_;
		GLoadableIcon* _tmp6_;
#line 46 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp5_ = folks_avatar_details_get_avatar ((FolksAvatarDetails*) _data5_->individual);
#line 46 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp6_ = _tmp5_;
#line 46 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		maya_contact_image_show_avatar_from_loadable_icon (self, _tmp6_);
#line 335 "ContactImage.c"
	}
#line 49 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GObject*) _data5_->individual, "notify::avatar", (GCallback) ___lambda90__g_object_notify, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	block5_data_unref (_data5_);
#line 44 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data5_ = NULL;
#line 343 "ContactImage.c"
}


static Block6Data*
block6_data_ref (Block6Data* _data6_)
{
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return _data6_;
#line 354 "ContactImage.c"
}


static void
block6_data_unref (void * _userdata_)
{
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 365 "ContactImage.c"
		MayaContactImage* self;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		self = _data6_->self;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (_data6_->icon);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (self);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_slice_free (Block6Data, _data6_);
#line 375 "ContactImage.c"
	}
}


static gboolean
__lambda89_ (Block6Data* _data6_,
             cairo_t* cr)
{
	MayaContactImage* self;
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 60 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self = _data6_->self;
#line 60 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 391 "ContactImage.c"
	{
		gint width = 0;
		gint height = 0;
		gint size = 0;
		gint _tmp0_;
		gint _tmp1_;
		GInputStream* stream = NULL;
		gint _tmp2_;
		GInputStream* _tmp3_;
		GdkPixbuf* img_pixbuf = NULL;
		GInputStream* _tmp4_;
		gint _tmp5_;
		gint _tmp6_;
		GdkPixbuf* _tmp7_;
		gint x = 0;
		gint _tmp8_;
		gint _tmp9_;
		gint y = 0;
		gint _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
		gint _tmp14_;
		gint _tmp15_;
		gint _tmp16_;
		GdkPixbuf* _tmp17_;
		gint _tmp18_;
		gint _tmp19_;
#line 62 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 63 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 64 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp0_ = width;
#line 64 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp1_ = height;
#line 64 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		size = (gint) MIN ((gdouble) _tmp0_, (gdouble) _tmp1_);
#line 65 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp2_ = size;
#line 65 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp3_ = g_loadable_icon_load (_data6_->icon, _tmp2_, NULL, NULL, &_inner_error_);
#line 65 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		stream = _tmp3_;
#line 65 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 438 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp4_ = stream;
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp5_ = size;
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp6_ = size;
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp7_ = gdk_pixbuf_new_from_stream_at_scale (_tmp4_, _tmp5_, _tmp6_, TRUE, NULL, &_inner_error_);
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp7_;
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 66 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
			_g_object_unref0 (stream);
#line 455 "ContactImage.c"
			goto __catch2_g_error;
		}
#line 67 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_operator (cr, CAIRO_OPERATOR_OVER);
#line 68 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp8_ = width;
#line 68 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp9_ = size;
#line 68 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		x = (_tmp8_ - _tmp9_) / 2;
#line 69 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp10_ = height;
#line 69 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp11_ = size;
#line 69 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		y = (_tmp10_ - _tmp11_) / 2;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp12_ = x;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp13_ = y;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp14_ = size;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp15_ = size;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp16_ = size;
#line 70 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (cr, (gdouble) _tmp12_, (gdouble) _tmp13_, (gdouble) _tmp14_, (gdouble) _tmp15_, (gdouble) (_tmp16_ / 2));
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp17_ = img_pixbuf;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp18_ = x;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp19_ = y;
#line 71 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (cr, _tmp17_, (gdouble) _tmp18_, (gdouble) _tmp19_);
#line 72 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (cr);
#line 73 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_line_width (cr, (gdouble) 0);
#line 74 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (cr, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 75 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_stroke (cr);
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (stream);
#line 504 "ContactImage.c"
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* _tmp20_;
		const gchar* _tmp21_;
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		e = _inner_error_;
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_inner_error_ = NULL;
#line 77 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp20_ = e;
#line 77 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp21_ = _tmp20_->message;
#line 77 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:77: %s", _tmp21_);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 78 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 78 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		return result;
#line 528 "ContactImage.c"
	}
	__finally2:
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 533 "ContactImage.c"
		gboolean _tmp22_ = FALSE;
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error_);
#line 61 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		return _tmp22_;
#line 541 "ContactImage.c"
	}
#line 81 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 81 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return result;
#line 547 "ContactImage.c"
}


static gboolean
___lambda89__gtk_widget_draw (GtkWidget* _sender,
                              cairo_t* cr,
                              gpointer self)
{
	gboolean result;
	result = __lambda89_ (self, cr);
#line 60 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return result;
#line 560 "ContactImage.c"
}


static void
maya_contact_image_show_avatar_from_loadable_icon (MayaContactImage* self,
                                                   GLoadableIcon* icon)
{
	Block6Data* _data6_;
	GLoadableIcon* _tmp0_;
	GtkImage* image = NULL;
	GtkImage* _tmp1_;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (icon != NULL);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data6_->_ref_count_ = 1;
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data6_->self = g_object_ref (self);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp0_ = _g_object_ref0 (icon);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (_data6_->icon);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data6_->icon = _tmp0_;
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp1_ = (GtkImage*) gtk_image_new ();
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp1_);
#line 59 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	image = _tmp1_;
#line 60 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_signal_connect_data ((GtkWidget*) image, "draw", (GCallback) ___lambda89__gtk_widget_draw, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 83 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	block6_data_unref (_data6_);
#line 58 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_data6_ = NULL;
#line 604 "ContactImage.c"
}


static gboolean
__lambda88_ (MayaContactImage* self,
             cairo_t* cr)
{
	gboolean result = FALSE;
	GError * _inner_error_ = NULL;
#line 88 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 616 "ContactImage.c"
	{
		gint width = 0;
		gint height = 0;
		gint size = 0;
		gint _tmp0_;
		gint _tmp1_;
		GdkPixbuf* img_pixbuf = NULL;
		GtkIconTheme* _tmp2_;
		gint _tmp3_;
		GdkPixbuf* _tmp4_;
		gint x = 0;
		gint _tmp5_;
		gint _tmp6_;
		gint y = 0;
		gint _tmp7_;
		gint _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
		GdkPixbuf* _tmp14_;
		gint _tmp15_;
		gint _tmp16_;
#line 90 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		width = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 91 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		height = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 92 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp0_ = width;
#line 92 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp1_ = height;
#line 92 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		size = (gint) MIN ((gdouble) _tmp0_, (gdouble) _tmp1_);
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp2_ = gtk_icon_theme_get_default ();
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp3_ = size;
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp4_ = gtk_icon_theme_load_icon (_tmp2_, "avatar-default", _tmp3_, GTK_ICON_LOOKUP_GENERIC_FALLBACK, &_inner_error_);
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		img_pixbuf = _tmp4_;
#line 93 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 661 "ContactImage.c"
			goto __catch3_g_error;
		}
#line 94 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_operator (cr, CAIRO_OPERATOR_OVER);
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp5_ = width;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp6_ = size;
#line 95 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		x = (_tmp5_ - _tmp6_) / 2;
#line 96 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp7_ = height;
#line 96 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp8_ = size;
#line 96 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		y = (_tmp7_ - _tmp8_) / 2;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp9_ = x;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp10_ = y;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp11_ = size;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp12_ = size;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp13_ = size;
#line 97 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		granite_drawing_utilities_cairo_rounded_rectangle (cr, (gdouble) _tmp9_, (gdouble) _tmp10_, (gdouble) _tmp11_, (gdouble) _tmp12_, (gdouble) (_tmp13_ / 2));
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp14_ = img_pixbuf;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp15_ = x;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp16_ = y;
#line 98 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		gdk_cairo_set_source_pixbuf (cr, _tmp14_, (gdouble) _tmp15_, (gdouble) _tmp16_);
#line 99 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_fill_preserve (cr);
#line 100 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_line_width (cr, (gdouble) 0);
#line 101 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_set_source_rgba (cr, (gdouble) 0, (gdouble) 0, (gdouble) 0, 0.3);
#line 102 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		cairo_stroke (cr);
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_object_unref0 (img_pixbuf);
#line 708 "ContactImage.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp17_;
		const gchar* _tmp18_;
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		e = _inner_error_;
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_inner_error_ = NULL;
#line 104 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp17_ = e;
#line 104 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp18_ = _tmp17_->message;
#line 104 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_critical ("ContactImage.vala:104: %s", _tmp18_);
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		result = FALSE;
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_g_error_free0 (e);
#line 105 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		return result;
#line 732 "ContactImage.c"
	}
	__finally3:
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 737 "ContactImage.c"
		gboolean _tmp19_ = FALSE;
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		g_clear_error (&_inner_error_);
#line 89 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		return _tmp19_;
#line 745 "ContactImage.c"
	}
#line 108 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	result = TRUE;
#line 108 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return result;
#line 751 "ContactImage.c"
}


static gboolean
___lambda88__gtk_widget_draw (GtkWidget* _sender,
                              cairo_t* cr,
                              gpointer self)
{
	gboolean result;
	result = __lambda88_ ((MayaContactImage*) self, cr);
#line 88 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	return result;
#line 764 "ContactImage.c"
}


static void
maya_contact_image_show_default_avatar (MayaContactImage* self)
{
	GtkImage* image = NULL;
	GtkImage* _tmp0_;
#line 86 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 87 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp0_ = (GtkImage*) gtk_image_new ();
#line 87 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_object_ref_sink (_tmp0_);
#line 87 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	image = _tmp0_;
#line 88 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_signal_connect_object ((GtkWidget*) image, "draw", (GCallback) ___lambda88__gtk_widget_draw, self, 0);
#line 111 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	maya_contact_image_show_avatar_image (self, image);
#line 112 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 86 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (image);
#line 789 "ContactImage.c"
}


static void
maya_contact_image_show_avatar_image (MayaContactImage* self,
                                      GtkImage* image)
{
	GtkImage* _tmp0_;
	GtkImage* _tmp2_;
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (self != NULL);
#line 115 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_return_if_fail (image != NULL);
#line 116 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) image);
#line 117 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_widget_show ((GtkWidget*) image);
#line 118 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	gtk_stack_set_visible_child ((GtkStack*) self, (GtkWidget*) image);
#line 119 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp0_ = self->priv->current_image;
#line 119 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	if (_tmp0_ != NULL) {
#line 813 "ContactImage.c"
		GtkImage* _tmp1_;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		_tmp1_ = self->priv->current_image;
#line 120 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
		gtk_widget_destroy ((GtkWidget*) _tmp1_);
#line 819 "ContactImage.c"
	}
#line 121 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_tmp2_ = _g_object_ref0 (image);
#line 121 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 121 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv->current_image = _tmp2_;
#line 827 "ContactImage.c"
}


static void
maya_contact_image_class_init (MayaContactImageClass * klass)
{
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	maya_contact_image_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	g_type_class_add_private (klass, sizeof (MayaContactImagePrivate));
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (klass)->finalize = maya_contact_image_finalize;
#line 840 "ContactImage.c"
}


static void
maya_contact_image_instance_init (MayaContactImage * self)
{
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv = MAYA_CONTACT_IMAGE_GET_PRIVATE (self);
#line 27 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv->current_image = NULL;
#line 28 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self->priv->default_avatar = TRUE;
#line 853 "ContactImage.c"
}


static void
maya_contact_image_finalize (GObject * obj)
{
	MayaContactImage * self;
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MAYA_TYPE_CONTACT_IMAGE, MayaContactImage);
#line 27 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	_g_object_unref0 (self->priv->current_image);
#line 25 "/builddir/build/BUILD/calendar-0.4.1/src/EventEdition/ContactImage.vala"
	G_OBJECT_CLASS (maya_contact_image_parent_class)->finalize (obj);
#line 867 "ContactImage.c"
}


GType
maya_contact_image_get_type (void)
{
	static volatile gsize maya_contact_image_type_id__volatile = 0;
	if (g_once_init_enter (&maya_contact_image_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (MayaContactImageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) maya_contact_image_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MayaContactImage), 0, (GInstanceInitFunc) maya_contact_image_instance_init, NULL };
		GType maya_contact_image_type_id;
		maya_contact_image_type_id = g_type_register_static (gtk_stack_get_type (), "MayaContactImage", &g_define_type_info, 0);
		g_once_init_leave (&maya_contact_image_type_id__volatile, maya_contact_image_type_id);
	}
	return maya_contact_image_type_id__volatile;
}



